<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
      Schema::table('user_profiles', function (Blueprint $table) {
            $table->unsignedInteger('prfile_likes')->default(0)->change();
            $table->unsignedInteger('book_likes')->default(0)->change();
        });
    }
    

    public function down()
    {
        Schema::table('user_profiles', function (Blueprint $table) {
            $table->string('prfile_likes', 255)->nullable()->change();
            $table->string('book_likes', 255)->nullable()->change();
        });
    }
};
